Skip to main content
POST
Create a financial entry
Learn more:
  • What is a financial entry? ↗
  • What is a journal entry? ↗
  • How to select the right accounts in journal entries? ↗

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

financial_counterpart_account
string | null

Number of ledger account representing bank account in accounting. Required in cases where the connector does not allow direct linking of the ledger account representing the bank account and the journal representing the bank account, making it necessary to specify it here.

force_currency_exchange
boolean | null
default:false

Boolean flag indicating whether to force the use of the provided currency exchange rate instead of the rate used by the accounting software.

ignore_accounting_id
boolean
default:false

If set to true, Chift will not wait for the entry to be processed to return, use this when you do not need the ID in the return value.Note that this might also change the output of the call.

Body

application/json
date
string<date>
required

Accounting date of the financial entry (format: YYYY-MM-DD). This is the date when the financial entry is recorded in the accounting system.

Example:

"2026-01-15"

journal_id
string
required

Id of the journal instance in the accounting system in which the financial entry is recorded.

Example:

"<accounting-journal-id>"

currency
string
required

Indicates the currency of the operation (e.g., EUR, USD).

Example:

"EUR"

items
FinancialEntryLineItem · object[]
required
Minimum array length: 1
currency_exchange_rate
number | null
default:1

Exchange rate from the transaction currency to the folder's base currency, at the date of the operation. Must be filled in when creating the operation in another currency from the folder's default currency.

reference
string | null

Entry-level reference, shared across all line items of the financial entry. Typically used to store an external identifier such as a bank statement reference or payment batch reference. Leave empty when creating one financial entry per individual transaction, as the relevant identifier should then be placed in the line-level description or automated_matching_number instead.

Example:

"REF-0001"

number
string | null

Unique 'number' of the financial entry in the accounting software. This is an internal number or identifier assigned to the financial entry. It is recommended to use this number for idempotency to prevent duplicate entries. Refer to the idempotency documentation in the Developer Guides for more details.

Example:

"FE-2026-0001"

pdf
string | null

Base 64 string representing the PDF attached to the sale/purchase entry.

pdf_name
string | null

A name for the PDF file to be created for accounting software that support it.

Required string length: 1 - 200
Pattern: ^[a-zA-Z0-9\-_ ]{1,196}(?:.pdf)?$

Response

Successful Response

date
string<date>
required

Accounting date of the financial entry (format: YYYY-MM-DD). This is the date when the financial entry is recorded in the accounting system.

Example:

"2026-01-15"

journal_id
string
required

Id of the journal instance in the accounting system in which the financial entry is recorded.

Example:

"<accounting-journal-id>"

currency
string
required

Indicates the currency of the operation (e.g., EUR, USD).

Example:

"EUR"

id
string
required

Unique id of the financial entry instance in the accounting system.

Example:

"<this-financial-entry-id>"

number
string
required

Unique 'number' of the financial entry in the accounting software. This is an internal number or identifier assigned to the financial entry. It is recommended to use this number for idempotency to prevent duplicate entries. Refer to the idempotency documentation in the Developer Guides for more details.

Example:

"FE-2026-0001"

items
FinancialEntryLineItemOut · object[]
required
currency_exchange_rate
number | null
default:1

Exchange rate from the transaction currency to the folder's base currency, at the date of the operation. Must be filled in when creating the operation in another currency from the folder's default currency.

reference
string | null

Entry-level reference, shared across all line items of the financial entry. Typically used to store an external identifier such as a bank statement reference or payment batch reference. Leave empty when creating one financial entry per individual transaction, as the relevant identifier should then be placed in the line-level description or automated_matching_number instead.

Example:

"REF-0001"